# HelpTasksPlugin

abstract class HelpTasksPlugin : Plugin<T>

Adds various reporting tasks that provide information about the project.

#### See also

<a href="https://gradle.org/help/">Getting additional help with Gradle</a>

## Constructors

HelpTasksPlugin
Link copied to clipboard
constructor()

## Properties

ARTIFACT_TRANSFORMS_TASK
Link copied to clipboard
@Incubating
val ARTIFACT_TRANSFORMS_TASK: String = "artifactTransforms"
The name of the Artifact Transforms report task.
DEPENDENCIES_TASK
Link copied to clipboard
val DEPENDENCIES_TASK: String = "dependencies"
DEPENDENCY_INSIGHT_TASK
Link copied to clipboard
val DEPENDENCY_INSIGHT_TASK: String = "dependencyInsight"
HELP_GROUP
Link copied to clipboard
val HELP_GROUP: String = "help"
MODEL_TASK
Link copied to clipboard
val MODEL_TASK: String = "model"
OUTGOING_VARIANTS_TASK
Link copied to clipboard
val OUTGOING_VARIANTS_TASK: String = "outgoingVariants"
The name of the outgoing variants report task.
PROPERTIES_TASK
Link copied to clipboard
val PROPERTIES_TASK: String = "properties"
RESOLVABLE_CONFIGURATIONS_TASK
Link copied to clipboard
@Incubating
val RESOLVABLE_CONFIGURATIONS_TASK: String = "resolvableConfigurations"
The name of the requested configurations report task.

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)